package org.cs.mgr.product.service;

import java.util.Map;

import org.cs.core.service.IBaseService;
import org.cs.mgr.admin.model.Admin;
import org.cs.mgr.product.model.MgmIntentOrder;
import org.cs.util.Pager;

import com.alibaba.fastjson.JSONObject;

/**
 * 
 * @ClassName: IMgmProductFollowService
 * @Description:  
 * @author: sunny_shi
 * @date: 2018-06-09 13:29:10
 */
public interface IMgmIntentOrderService extends IBaseService<MgmIntentOrder> {

	JSONObject addMgmIntentOrder(Map<String, String> map);


	JSONObject addMgmIntentOrder(MgmIntentOrder mgmIntentOrder, Map<String, String> user);


	Pager queryIntentPager(Pager pager, Map<String, String> map);


	void delIntentById(String ids);


	Map<String, Object> queryIntent(Map<String, String> map);


	JSONObject addMgmIntentOrderFromApp(Map<String,String> map, Map<String, Object> user);
}
